> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ファイルの削除

> ストレージからファイルとその関連データを削除します。



## OpenAPI

````yaml ja/openapi/files.json DELETE /v1/files/{file_id}
openapi: 3.0.3
info:
  title: ファイル API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/files/{file_id}:
    delete:
      summary: ファイルを削除する
      description: ストレージからファイルとその関連データを削除する。
      parameters:
        - name: file_id
          in: path
          required: true
          description: 削除するファイルのユニークな識別子。
          schema:
            type: string
      responses:
        '200':
          description: ファイルが正常に削除されました。
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: ファイルID
                  object:
                    type: string
                    description: オブジェクトの種類。このエンドポイントでは "file"。
                  deleted:
                    type: boolean
                    description: ファイルが正常に削除されたことを示します。
        '401':
          description: 無効なAPIキー
        '404':
          description: ファイルが見つからない
        '500':
          description: 内部サーバーエラー
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Bearer <token>形式のBearer認証ヘッダー。<token>はあなたの認証トークンです。

````